CDRomUpgrade script crashes

Macario Valle macariov at gmail.com
Tue Apr 24 03:25:56 BST 2007


Try to add the cdrom as a source first:

sudo apt-cdrom add /media/cdrom0

 or whatever your path.  path not needed if it is the first cdrom.
then do

sudo apt-get dist-upgrade

On Tue, 2007-04-24 at 11:58 +1000, WANSTALL Malcolm wrote:
> Hi All,
> 
> I have tried to upgrade to Feisty via the CDRomUpgrade script on the
> Alternate CD.
> 
> I did the following:
> 
> Ran the upgrade script via: gksu "sh /cdrom/cdromupgrade" Script initially
> ran and displayed GUI, crashed about half way through. Tried to repair via:
> sudo dpkg --configure -a sudo apt-get -f install Now whenever I run the
> script I get the same errors but with no GUI loading at all.
> 
> Errors from main.log and from the console window are listed below:
> 
> ===========================
> Main.log
> ===========================
> 2007-04-24 10:16:42,654 INFO release-upgrader version '0.59.20' started
> 2007-04-24 10:16:43,121 WARNING can't import view 'DistUpgradeViewGtk' (No
> module named vte) 2007-04-24 10:16:44,374 WARNING can't import view
> 'DistUpgradeViewKDE' (/usr/lib/python2.5/site-packages/kparts.so: undefined
> symbol: _ZN11konsolePart8setPtyFdEi) 2007-04-24 10:16:44,605 DEBUG
> lsb-release: 'edgy' 
> 2007-04-24 10:16:44,605 DEBUG _pythonSymlinkCheck run 2007-04-24
> 10:16:46,266 ERROR not handled expection: Traceback (most recent call last):
> 
>   File "/tmp/tmp.jZanqt9730/feisty", line 56, in <module> 
>     app.run()
> 
>   File "/tmp/tmp.jZanqt9730/DistUpgradeControler.py", line 1025, in run
>     self.fullUpgrade()
> 
>   File "/tmp/tmp.jZanqt9730/DistUpgradeControler.py", line 935, in
> fullUpgrade 
>     if not self.prepare():
> 
>   File "/tmp/tmp.jZanqt9730/DistUpgradeControler.py", line 284, in prepare
>     'Yes'
> 
> TypeError: askYesNoQuestion() takes exactly 3 arguments (4 given)
> 
> ===========================
> Shell Errors Shown
> ===========================
> X Error: BadDevice, invalid or uninitialized input device 166
>   Major opcode:  144
>   Minor opcode:  3
>   Resource id:  0x0
> Failed to open device
> X Error: BadDevice, invalid or uninitialized input device 166 
>   Major opcode:  144
>   Minor opcode:  3
>   Resource id:  0x0
> Failed to open device
> can't load DistUpgradeViewGtk (No module named vte)
> can't load DistUpgradeViewKDE (/usr/lib/python2.5/site-packages/kparts.so:
> undefined symbol: _ZN11konsolePart8setPtyFdEi) 
> 
> Reading cache
> 
> Checking package manager
> Reading package lists: Done
> Reading state information: Done
> Reading state information: Done
> Reading state information: Done
> 
> 
> A fatal error occured 
> Please report this as a bug and include the files
> /var/log/dist-upgrade/main.log and /var/log/dist-upgrade/apt.log in your
> report. The upgrade aborts now. Your original sources.list was saved in
> /etc/apt/sources.list.distUpgrade. 
> Traceback (most recent call last):
> 
>   File "/tmp/tmp.jZanqt9730/feisty", line 56, in <module>
>     app.run()
> 
>   File "/tmp/tmp.jZanqt9730/DistUpgradeControler.py", line 1025, in run 
>     self.fullUpgrade()
> 
>   File "/tmp/tmp.jZanqt9730/DistUpgradeControler.py", line 935, in
> fullUpgrade
>     if not self.prepare():
> 
>   File "/tmp/tmp.jZanqt9730/DistUpgradeControler.py", line 284, in prepare 
>     'Yes'
> 
> TypeError: askYesNoQuestion() takes exactly 3 arguments (4 given)
> 
> mwanstall at mwanstall-desktop:~$   
> 
> ===================================
> 
> Any help would be REALLY appreciated!
> 
> Many thanks,
> 
> -Malcolm Wanstall
> 




More information about the kubuntu-users mailing list